Package org.apache.sysds.api

# Class DMLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sysds.api.DMLException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DMLRuntimeException`, `HopsException`, `LanguageException`, `LopsException`, `ParseException`

public class DMLException extends RuntimeException

Exception occurring in the DML framework.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ERROR_MSG_DELIMITER`

## Constructor Summary

Constructors
Constructor
Description
`DMLException()`
`DMLException(String message)`
`DMLException(String message, Throwable cause)`
`DMLException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ERROR_MSG_DELIMITER

public static final String ERROR_MSG_DELIMITER

See Also:
  - Constant Field Values

## Constructor Details

### DMLException

public DMLException()

### DMLException

public DMLException(String message)

### DMLException

public DMLException(Throwable cause)

### DMLException

public DMLException(String message, Throwable cause)